// USE GLOBAL VARS TO SETUP SCRIPT PARAMETERS

// disabled=1;             // disable script (script will not be executed)
// timeout=100;            // timeout for script execution (milliseconds)
// trigger="node1_var1";   // run script by trigger var (when var changed)
// period=1000;               // run script by period (milliseconds)
cron="0 */10 * * * *";         // run script by cron each 10 minutes

// You need to configure chnl_telegram before using this script!
//
// sendTelegram(number,text,options,bot);
// arguments:
// - number - string, phone number; user must /start conversation with bot before running the script
// - text - plain or html text (see options)
// - options - object, optional; see https://core.telegram.org/bots/api#sendmessage for more info
//   {
//       parse_mode - string, optional: <NULL|MarkdownV2|HTML> 
//       reply_markup - object, optional
//       disable_web_page_preview - bool, optional
//   }
// - bot - string, optional; bot name as its defined in chl_telegram config (for case with many bots)
// return value:
// 0 - message successful sent to chl_telegram service, see logs
// -1 - error: no number or no text
// -2 - error: chl_telegram is disconnected from script service

// send simple text
let rc=sendTelegram("+71234567890","Signal value is "+str($node1_var1));
log("sendTelegram return code: ",rc);

// send html text
// let rc=sendTelegram("+71234567890","Signal value is <b>"+str($node1_var1)+"</b>",{parse_mode:"HTML"});
// log("sendTelegram return code: ",rc);